package com.unis.crk.basic.service;

import com.unis.crk.basic.entity.OrgInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 组织机构信息表 服务类
 * </p>
 *
 * @author ghh
 * @since 2021-09-26
 */
public interface IOrgInfoService extends IService<OrgInfo> {

    OrgInfo getDepotInfo(OrgInfo orgInfo);

    List<OrgInfo> getTree(String orgName);

    void updateOrgLevel(OrgInfo orgInfo);

    List<OrgInfo> getAllChildren(String orgId,String barnName);

    List<OrgInfo> getallOrgInfo();

    int getCountChildren(String orgId);
}
